Request v4 Access Token
The OAuth v4 token request authenticates your API message sent in either JSON or XML formats and responds with an access token.
Authentication
AuthorizationBasic
Username is the application’s client_id and password is the client_secret.
Headers
Authorization
The authorization will include “Basic” followed by a single space, followed by the Base64 encoded value of the APIm client_id & secret key.
In the above example, the client_id is 1234a5b6-cde7-8f90-12gh-345ij6789012 & secret key is abcdefghijklmnop.
The Base64 value after appending by adding “:” in between will be “MTIzNGE1YjYtY2RlNy04ZjkwLTEyZ2gtMzQ1aWo2Nzg5MDEyOmFiY2RlZmdoaWprbG1ub3A=”.
Request
Request body for the V4 OAuth Token.
oAuthToken
Response
OK
token
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error